cURL
curl --request GET \
--url https://api.konvoai.com/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.konvoai.com/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.konvoai.com/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"result": [
{
"firstName": "Jefferey",
"lastName": "Bezos",
"preferredName": "Jeff",
"email": "jeff@amazon.com",
"phoneNumber": "15552345678",
"lastInteractionDate": "2024-08-02T14:58:55.728Z",
"tags": [
{
"id": "01823bbc-96e0-4c0a-a9cd-0a41ede22d50",
"label": "Giveaway #3",
"description": "",
"color": "#FFE3EA",
"category": "MARKETING"
}
],
"optInStatus": "granted",
"active": "true",
"createdAt": "2024-08-02T14:58:55.728Z",
"source": "Klaviyo",
"properties": "<array>",
"language": "en",
"birthday": "2024-08-02T14:58:55.728Z",
"orders": [
{
"id": "1d2686c1-7342-475a-ba38-e13364807343"
}
]
}
]
}{
"error": 123,
"message": "<string>"
}Contacts
Get Contacts
Get contacts by filters
GET
/
contacts
cURL
Authorizations
Query Parameters
Pointer for the current page of the paginated query
The maximum number of results to return, maximum is 200
Comma separated list of fields you want to retrieve from the contact. Omitting this will return all fields. Using this param will speed up requests
Filter by contacts updated after a certain date
Filter by contacts updated before a certain date
Search parameter. Looks in the fields (email, phone, name, etc) to find contacts in the database
